Subject: Re: bug#32549: Allow passing custom options to vc-git-grep

From: Federico Tedin <[email-masked]>
Date: Tue, 28 Aug 2018 20:01:33 -0300

> > I'm wondering how I would set my custom arguments when the vc-git-grep
> > function is called from another function. For example, the projectile
> > package defines projectile-grep, which eventually calls rgrep or
> > vc-git-grep [1] (depending on the user's choice).
>
> It looks like you'd have to do
>
>     (let ((current-prefix-arg '(4)))
>       (vc-git-grep ...))

I've set the prefix argument using the current-prefix-arg variable as
you mentioned:

(let ((current-prefix-arg '(4)))
  (vc-git-grep "something" "*.el" "."))

And then I also tried:

(let ((current-prefix-arg '(4)))
  (projectile-grep))

In both cases, I am prompted for the full git-grep command (and nothing else).
Is there any way to set a default set of arguments in order to avoid typing them
when invoking the function?